package net.cobem.grizzly.communication.composers.user;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class SendUserInformationComposer {
    public static EventResponse compose(Session Session) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.ShowUserInformationEvent);
        Message.addInt(Session.getHabbo().getID());
        Message.addString(Session.getHabbo().getUsername());
        Message.addString(Session.getHabbo().getLook());
        Message.addString(Session.getHabbo().getGender().toString());
        Message.addString(Session.getHabbo().getMotto());
        Message.addString(Session.getHabbo().getUsername().toLowerCase());
        Message.addBool(false);
        Message.addInt(Session.getHabbo().getRespect());
        Message.addInt(Session.getHabbo().getDailyRespect());
        Message.addInt(Session.getHabbo().getDailyRespect());
        Message.addBool(true);
        Message.addString(Session.getHabbo().getLastOnline());
        Message.addBool((Session.getHabbo().getNameChanges() > 0));  //Can change name
        Message.addBool(false); //Cannot purchase from catalog

        return Message;
    }
}
